require 'spec_helper'
require 'open-uri'

module Jisota
  describe "ruby + passenger", type: :acceptance do
    example "install ruby and nginx_passenger" do
      config = Jisota.config do
        role :app do
          ruby version: "2.1.1"
          nginx_passenger config_file: "spec/test_files/nginx_default.conf"
        end

        server host, user: user, roles: :app, key: key
      end

      Jisota.run(config, logger: Output.new(verbose: true))

      webpage = URI("http://#{host}").read
      expect(webpage).to match(/Welcome to nginx!/)
    end
  end
end


