require 'spec_helper'

module Jisota
  describe "Execute a simple script", type: :acceptance do
    example "Simple script with a package" do
      Jisota.global_config do
        package :touch_global do
          param :target
          run { cmd "touch #{target}" }
        end
      end

      config = Jisota.config do
        package :touch do
          param :target
          run { cmd "touch #{target}" }
        end

        role :app do
          cmd "touch foo"
          touch "bar"
          touch_global "baz"
          upload from: "spec/test_files/foo", to: "uploads/foo"
        end

        server host, user: user, key: key, roles: :app
      end

      Jisota.run(config)

      create_ssh_session do |ssh_session|
        expect(ssh_session.command("[ -f foo ]")).to eq(0)
        expect(ssh_session.command("[ -f bar ]")).to eq(0)
        expect(ssh_session.command("[ -f baz ]")).to eq(0)
        expect(ssh_session.command("[ -f uploads/foo ]")).to eq(0)
        expect(ssh_session.command('[ `cat uploads/foo` = "foo" ]')).to eq(0)
      end
    end
  end
end
