require 'spec_helper'

module Jisota

  class SomeDSL < DSLBase
    def set(value)
      @value = value
    end

    def get
      @value
    end
  end

  describe DSLBase do
    describe "#evaluate" do
      it "evaluates like a true closure" do
        foo = "bar"
        dsl = SomeDSL.new
        dsl.evaluate do
          set foo
        end

        expect(dsl.get).to eq("bar")
      end

      it "handles method_missing" do
        dsl = SomeDSL.new
        expect {
          dsl.evaluate do
            foo
          end
        }.to raise_exception(NameError)
      end
    end
  end
end
