require 'spec_helper'

module Jisota
  describe Role do
    describe "#name" do
      it "has one" do
        role = Role.new
        role.name = :foo
        expect(role.name).to eq(:foo)
      end
    end

    describe "#script_block" do
      it "has some" do
        role = Role.new
        role.script_block = :foo
        expect(role.script_block).to eq(:foo)
      end
    end

    describe "DSL" do
      it "initializes with DSL" do
        role = Role.new(:app) { cmd "touch foo" }
        expect(role.name).to eq(:app)
        expect(role.script_block).to be_a(ScriptBlock)
      end
    end
  end
end
