require 'spec_helper'

module Jisota
  describe Server do
    describe '#host' do
      it "has one" do
        server = Server.new
        server.host = :foo
        expect(server.host).to eq(:foo)
      end
    end

    describe "#roles" do
      it "has roles" do
        server = Server.new
        expect(server.roles).to eq([])
      end
    end

    describe "#user" do
      it "has one" do
        server = Server.new
        server.user = :foo
        expect(server.user).to eq(:foo)
      end
    end

    describe "#initialization" do
      it "initializes with values" do
        server = Server.new("mydomain.com", user: "john_doe", roles: :app)
        expect(server.host).to eq("mydomain.com")
        expect(server.user).to eq("john_doe")
        expect(server.roles).to eq([:app])
      end
    end
  end
end
