require 'spec_helper'

module Jisota
  describe SSHEngine do
    describe "#start" do
      let(:engine) do
        class_double(Net::SSH).tap do |engine|
          allow(engine).to receive(:start).and_yield(nil)
        end
      end
      let(:wrapper) { SSHEngine.new(engine: engine) }

      it "starts the engine" do
        wrapper.start(user: "john", host: "foo") { |ssh_session| }

        expect(engine).to have_received(:start).with("foo", "john", {})
      end

      it "passes extra options to engine" do
        wrapper.start(user: "john", host: "foo", foo: "bar", bar: "baz") { |ssh_session| }

        expect(engine).to have_received(:start).with("foo", "john", { foo: "bar", bar: "baz" })
      end
    end
  end
end
