require 'spec_helper'

module Jisota
  describe Jisota do
    describe ".run" do
      it "delegates to provisioner" do
        provisioner = instance_double(Provisioner, run: nil)
        Jisota.run(:foo, provisioner: provisioner)

        expect(provisioner).to have_received(:run) do |config, logger|
          expect(config).to eq(:foo)
        end
      end
    end

    describe ".global_packages" do
      it "contains a package collection" do
        expect(Jisota.global_packages).to be_a(Collection)
      end
    end

    describe '.global_config' do
      it "can add packages to global_packages" do
        add_package = proc do
          Jisota.global_config do
            package :foo
          end
        end

        expect { add_package.call }.to change { Jisota.global_packages.size }.by(1)
      end
    end
  end
end
