require 'simplecov'
SimpleCov.start do
  add_filter "/spec/acceptance"
  add_filter "/spec/support/acceptance_helpers"
end

require "codeclimate-test-reporter"
CodeClimate::TestReporter.start

require 'jisota'
require 'byebug'
require './spec/support/acceptance_helpers'

RSpec.configure do |config|
  config.filter_run :focus
  if ENV["ACCEPTANCE"]
    config.filter_run type: :acceptance
  else
    config.filter_run_excluding type: :acceptance
  end
  config.run_all_when_everything_filtered = true

  config.order = :random

  config.expect_with :rspec do |expectations|
    expectations.syntax = :expect
  end

  config.mock_with :rspec do |mocks|
    mocks.syntax = :expect
    mocks.verify_partial_doubles = true
  end

  config.include Jisota::AcceptanceHelpers, type: :acceptance
end
