module Jisota
  module AcceptanceHelpers

    class TestOutput < Output
      class TestIO
        def write(message)
          writes << message
        end
        def flush(*); end
        def writes
          @writes ||= []
        end
      end

      def initialize(options = {})
        super
        @stdout = TestIO.new
        @stderr = TestIO.new
        @verbose = true
      end
    end

    def key
      "spec/vagrant/ssh_key"
    end

    def host
      "33.33.33.33"
    end

    def user
      "vagrant"
    end

    def logger
      @logger ||= TestOutput.new
    end

    def create_ssh_session(&block)
      SSHEngine.new.start(user: user, host: host, keys: [key]) do |ssh_session|
        yield(ssh_session)
      end
    end
  end
end
